summaryrefslogtreecommitdiff
path: root/tests/rm/r-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-1')
-rwxr-xr-xtests/rm/r-167
1 files changed, 67 insertions, 0 deletions
diff --git a/tests/rm/r-1 b/tests/rm/r-1
new file mode 100755
index 0000000..7b6f187
--- /dev/null
+++ b/tests/rm/r-1
@@ -0,0 +1,67 @@
+#!/bin/sh
+# Test "rm -r --verbose".
+
+# Copyright (C) 1997, 1998, 2000, 2002, 2004, 2006 Free Software
+# Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+test=r-1
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rm --version
+fi
+
+. $srcdir/../lang-default
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir a a/a || framework_failure=1
+> b || framework_failure=1
+
+cat <<\EOF > $test.E || framework_failure=1
+removed directory: `a/a'
+removed directory: `a'
+removed `b'
+EOF
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+rm --verbose -r a b > $test.O || fail=1
+
+for d in $dirs; do
+ if test -d $d; then
+ fail=1
+ fi
+done
+
+# Compare expected and actual output.
+cmp $test.E $test.O || fail=1
+test $fail = 1 && diff $test.E $test.O 2> /dev/null
+
+(exit $fail); exit $fail